create_circle

Modeler3D.create_circle(cs_plane, position, radius, numSides=0, is_covered=True, name=None, matname=None)

Create a circle.

Parameters
cs_planestr or int

Coordinate system plane for orienting the circle. pyaedt.constants.PLANE Enumerator can be used as input.

positionlist

List of [x, y, z] coordinates for the center point of the circle.

radiusfloat

Radius of the circle.

numSidesint, optional

Number of sides. The default is 0, which is correct for a circle.

namestr, optional

Name of the circle. The default is None, in which case the default name is assigned.

matnamestr, optional

Name of the material. The default is None, in which case the default material is assigned.

Returns
pyaedt.modeler.Object3d.Object3d

3D object.

References

>>> oEditor.CreateCircle